#!/bin/bash

LEDS_COUNT=10
COLOR='ffff00'
DELAY=90000

leds_clear=()
for i in $(seq 1 $LEDS_COUNT); do
  leds_clear+=('000000')
done

cd /sys/devices/platform/soc/fe000000.apb4/fe06c000.i2c/i2c-3/3-003c/leds/bct3236
echo "${leds_clear[@]}" >colors
echo 4 >brightness

function ctrl_c() {
  echo $(awk '/edge on/ {print $3}' colors) >edge_color_on
  echo 1 >brightness
  exit
}

trap ctrl_c INT

turn_led_on() {
  leds_out=("${leds_clear[@]}")
  leds_out[$1]="${COLOR}"
  echo "${leds_out[@]}" >colors
}

while true; do
  # to right
  for i in $(seq 0 1 $(($LEDS_COUNT - 1))); do
    turn_led_on $i
    usleep ${DELAY}
  done

  usleep ${DELAY}

  # to left
  for i in $(seq $(($LEDS_COUNT - 1)) -1 0); do
    turn_led_on $i
    usleep ${DELAY}
  done

  usleep ${DELAY}
done